@ECHO OFF

@REM WARNING: This file is created by the Configuration Wizard.
@REM Any changes to this script may be lost when adding extensions to this configuration.

SETLOCAL

@REM *************************************************************************
@REM  This script is used to JAVA_HOME for NodeManager.
@REM *************************************************************************

set BEA_JAVA_HOME=

set DEFAULT_BEA_JAVA_HOME=

set SUN_JAVA_HOME=C:\Oracle\java\jdk-1.8

set DEFAULT_SUN_JAVA_HOME=C:\Oracle\java\jdk-1.8

if "%VM_TYPE%"=="JRockit" (
	set JAVA_HOME=%BEA_JAVA_HOME%
) else (
	if "%JAVA_VENDOR%"=="Sun" (
		set JAVA_HOME=%SUN_JAVA_HOME%
	) else (
		set JAVA_VENDOR=Oracle
		set JAVA_HOME=C:\Oracle\java\jdk-1.8
		set VM_TYPE=HotSpot
	)
)

set JAVA_HOME=%JAVA_HOME%
for %%i in ("%JAVA_HOME%") do set JAVA_HOME=%%~fsi



ENDLOCAL